#!/bin/sh

if [ -z "$AGISERVER_PID" ]; then
    AGISERVER_PID="/var/run/agiserver.pid"
fi

if [ -z "$AGISERVER_APPDIR" ]; then
    AGISERVER_APPDIR="/usr/share/asterisk-java"
fi

if [ -z "$AGISERVER_LOGDIR" ]; then
    AGISERVER_LOGDIR="/var/log/asterisk-java/agiserver"
fi
if [ ! -d ${AGISERVER_LOGDIR} ]; then	
    install -d -m 775 ${AGISERVER_LOGDIR} >& /dev/null
fi
if [ ! -w ${AGISERVER_LOGDIR} ]; then	
    echo "Cannot write to ${AGISERVER_LOGDIR}" >&2
    exit 1
fi

export AGISERVER_PID AGISERVER_APPDIR AGISERVER_LOGDIR


AGISERVER_CLASS="org.asteriskjava.fastagi.DefaultAgiServer"
AGISERVER_OPTS="-server ${JAVA_OPTS}"
##  JVM lookup
[ -z "$JAVA_HOME" ] && JAVA_HOME="/usr/lib/jvm/java"
JAVA_EXEC="${JAVA_HOME}/bin/java"

# Load Oracle vars
if [ -r "/etc/profile.d/oracle_env.sh" ]
then 
    . /etc/profile.d/oracle_env.sh
fi

# Set standard CLASSPATH
CLASSPATH="${JAVA_HOME}/lib/tools.jar"
# Add on extra jar files to CLASSPATH
CLASSPATH="$CLASSPATH":`/usr/bin/build-classpath asterisk-java`
CLASSPATH="$CLASSPATH":`/usr/bin/build-classpath commons-collections commons-pool commons-dbcp`
if [ "$AGISERVER_EXTRA" != "" ]; then
    CLASSPATH="$CLASSPATH":`/usr/bin/build-classpath $AGISERVER_EXTRA`
fi
if [ "$AGISERVER_EXTRACP" != "" ]; then
    CLASSPATH="$CLASSPATH":"$AGISERVER_EXTRACP"
fi
if [ "$AGISERVER_EXTRADIR" != "" ]; then
    CLASSPATH="$CLASSPATH":`/usr/bin/build-classpath-directory $AGISERVER_EXTRADIR`
fi
CLASSPATH="$CLASSPATH":$AGISERVER_APPDIR
